getBlocksWithLimit
Authorizations
AuthorizationstringOptional
Pass Authorization: <api-key> on each request.
Body
jsonrpcstring · enumRequiredExample:
JSON-RPC protocol version.
2.0Possible values: idone ofRequiredExample:
Request identifier echoed back in the response.
1stringOptional
integerOptional
methodstring · enumRequiredExample:
Must be getBlocksWithLimit.
getBlocksWithLimitPossible values: Responses
200
Successful getBlocksWithLimit response.
application/json
Base envelope of every JSON-RPC 2.0 response.
jsonrpcstring · enumRequiredExample:
2.0Possible values: idone ofRequiredExample:
Echoed request id.
1stringOptional
integerOptional
resultinteger · int64[]Required
401
Authentication required or invalid.
application/json
403
Insufficient permissions for the request.
application/json
429
Rate limit exceeded for this tier.
application/json
500
Unexpected server error.
application/json
post/historical
curl -X POST https://public.rpc.solanavibestation.com/historical \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getBlocksWithLimit",
"params": [
178000000,
10
]
}'{
"jsonrpc": "2.0",
"id": 1,
"result": [
178000000,
178000001,
178000004,
178000005,
178000010,
178000012,
178000014,
178000015,
178000016,
178000018
]
}Last updated